Index: library/bdm/math/chmat.h
===================================================================
--- library/bdm/math/chmat.h (revision 725)
+++ library/bdm/math/chmat.h (revision 737)
@@ -17,6 +17,5 @@
 #include "square_mat.h"
 
-namespace bdm
-{
+namespace bdm {
 
 /*! \brief Symmetric matrix stored in square root decomposition using upper cholesky
@@ -110,5 +109,5 @@
 	void setCh ( const chmat &Ch0 ) {
 		Ch = Ch0._Ch();
-		dim=Ch0.rows();
+		dim = Ch0.rows();
 	}
 	//! access function
@@ -116,7 +115,7 @@
 		//TODO check if Ch0 is OK!!!
 		Ch = Ch0;
-		dim=Ch0.rows();
+		dim = Ch0.rows();
 	}
-	
+
 	//! Access functions
 	void setD ( const vec &nD, int i ) {
@@ -126,14 +125,14 @@
 	}
 
-	//! Operator 
+	//! Operator
 	chmat& operator += ( const chmat &A2 );
-	//! Operator 
+	//! Operator
 	chmat& operator -= ( const chmat &A2 );
-	//! Operator 
+	//! Operator
 	chmat& operator * ( const double &d ) {
 		Ch*sqrt ( d );
 		return *this;
 	};
-	//! Operator 
+	//! Operator
 	chmat& operator = ( const chmat &A2 ) {
 		Ch = A2.Ch;
@@ -141,5 +140,5 @@
 		return *this;
 	}
-	//! Operator 
+	//! Operator
 	chmat& operator *= ( double x ) {
 		Ch *= sqrt ( x );
Index: library/bdm/math/square_mat.cpp
===================================================================
--- library/bdm/math/square_mat.cpp (revision 725)
+++ library/bdm/math/square_mat.cpp (revision 737)
@@ -2,6 +2,5 @@
 #include "square_mat.h"
 
-namespace bdm
-{
+namespace bdm {
 
 using namespace itpp;
Index: library/bdm/math/square_mat.h
===================================================================
--- library/bdm/math/square_mat.h (revision 700)
+++ library/bdm/math/square_mat.h (revision 737)
@@ -18,6 +18,5 @@
 #include "../bdmerror.h"
 
-namespace bdm
-{
+namespace bdm {
 
 using namespace itpp;
@@ -43,20 +42,29 @@
 	 BLAS-2b operation.
 	 */
-	virtual void opupdt ( const vec &v, double w ) { bdm_error("not implemented"); };
+	virtual void opupdt ( const vec &v, double w ) {
+		bdm_error ( "not implemented" );
+	};
 
 	/*! \brief Conversion to full matrix.
 	*/
 
-	virtual mat to_mat() const { bdm_error("not implemented"); return mat(0,0); }
+	virtual mat to_mat() const {
+		bdm_error ( "not implemented" );
+		return mat ( 0, 0 );
+	}
 
 	/*! \brief Inplace symmetric multiplication by a SQUARE matrix \f$C\f$, i.e. \f$V = C*V*C'\f$
 	@param C multiplying matrix,
 	*/
-	virtual void mult_sym ( const mat &C ) { bdm_error("not implemented"); };
+	virtual void mult_sym ( const mat &C ) {
+		bdm_error ( "not implemented" );
+	};
 
 	/*! \brief Inplace symmetric multiplication by a SQUARE transpose of matrix \f$C\f$, i.e. \f$V = C'*V*C\f$
 	@param C multiplying matrix,
 	*/
-	virtual void mult_sym_t ( const mat &C ) { bdm_error("not implemented"); }
+	virtual void mult_sym_t ( const mat &C ) {
+		bdm_error ( "not implemented" );
+	}
 
 
@@ -65,5 +73,8 @@
 
 	*/
-	virtual double logdet() const { bdm_error("not implemented"); return 0;};
+	virtual double logdet() const {
+		bdm_error ( "not implemented" );
+		return 0;
+	};
 
 	/*!
@@ -72,5 +83,8 @@
 	Used e.g. in generating normal samples.
 	*/
-	virtual vec sqrt_mult ( const vec &v )  const { bdm_error("not implemented"); return vec(0); };
+	virtual vec sqrt_mult ( const vec &v )  const {
+		bdm_error ( "not implemented" );
+		return vec ( 0 );
+	};
 
 	/*!
@@ -78,5 +92,8 @@
 
 	*/
-	virtual double qform ( const vec &v ) const { bdm_error("not implemented"); return 0; };
+	virtual double qform ( const vec &v ) const {
+		bdm_error ( "not implemented" );
+		return 0;
+	};
 
 	/*!
@@ -84,5 +101,8 @@
 
 	*/
-	virtual double invqform ( const vec &v ) const { bdm_error("not implemented"); return 0; };
+	virtual double invqform ( const vec &v ) const {
+		bdm_error ( "not implemented" );
+		return 0;
+	};
 
 //	//! easy version of the
@@ -90,5 +110,7 @@
 
 	//! Clearing matrix so that it corresponds to zeros.
-	virtual void clear() { bdm_error("not implemented"); };
+	virtual void clear() {
+		bdm_error ( "not implemented" );
+	};
 
 	//! Reimplementing common functions of mat: cols().
@@ -214,13 +236,17 @@
 		return *this;
 	};
-	
+
 	//! cast to normal mat
-	operator mat&() {return M;};
-	
+	operator mat&() {
+		return M;
+	};
+
 //		fsqmat& operator = ( const fsqmat &A) {M=A.M; return *this;};
 	//! print full matrix
 	friend std::ostream &operator<< ( std::ostream &os, const fsqmat &sq );
 	//!access function
-	mat & _M (  ) {return M;};
+	mat & _M ( ) {
+		return M;
+	};
 
 };
Index: library/bdm/math/chmat.cpp
===================================================================
--- library/bdm/math/chmat.cpp (revision 565)
+++ library/bdm/math/chmat.cpp (revision 737)
@@ -4,6 +4,5 @@
 //using std::endl;
 
-namespace bdm
-{
+namespace bdm {
 
 void chmat::opupdt ( const vec &v, double w ) {
Index: library/bdm/math/functions.h
===================================================================
--- library/bdm/math/functions.h (revision 665)
+++ library/bdm/math/functions.h (revision 737)
@@ -84,10 +84,10 @@
 	vec eval ( const vec &cond ) {
 		bdm_assert_debug ( cond.length() == ( dimx + dimu ), "linfn::eval Wrong cond." );
-		if (dimu>0){
+		if ( dimu > 0 ) {
 			return eval ( cond ( 0, dimx - 1 ), cond ( dimx, dimx + dimu - 1 ) );//-1 = end (in matlab)
 		} else {
-			return eval ( cond ( 0, dimx - 1 ), vec(0) );//-1 = end (in matlab)
+			return eval ( cond ( 0, dimx - 1 ), vec ( 0 ) );//-1 = end (in matlab)
 		}
-				
+
 	}
 
